class AttributeBuilder < Builder
  extend RepositoriesProxy

  ##
  # receive a list of ids and return a list of attributes
  #
  def self.build(attributes = [])
    array = []
    attributes = [attributes] if attributes.class == String
    attributes.each do |attributes|
      unless attribute['@rid'].blank?
        o = Rails.cache.fetch(cache_key(attribute['@rid'], attribute['last_modified'])) unless attribute['last_modified'].blank?
        o = attribute_repository.find attribute['@rid'] if o.nil?
        array << o
      end
    end
    array
  end

  def self.build_from_orientdb(args = {})
    attribute = nil

    unless args.nil?
      # cache object when build
      attribute = Rails.cache.fetch(cache_key(args['@rid'], args['last_modified']), expires_in: 12.hours) do
        Attribute.new(
            id: args['@rid'],
            key: args['key'],
            value: args['value']
        )
      end
    end

    attribute
  end

end
