class LearningObject::Attachment
  attr_accessor :bitstreams

  def initialize(bitstreams)
    @bitstreams = bitstreams
  end

  def get_retrievelink
    get_bitstream_retrievelink_of "ORIGINAL"
  end

  def get_filename
    get_bitstream_filename_of "ORIGINAL"
  end

  private

  def get_bitstream_retrievelink_of name
    values = @bitstreams.select { |v| v["bundleName"] == name }
    unless values.empty?
      return Dspace::Config.rest_url + values.first["retrieveLink"]
    end
  end

  def get_bitstream_filename_of name
    values = @bitstreams.select { |v| v["bundleName"] == name }
    unless values.empty?
      return values.first["name"]
    end
  end

end